Subject: RE: [ipfix] No uint128 and double types in Info Model

From: "Thomas Dietz" <[email-masked]>
Date: Fri, 21 Oct 2005 10:48:03 +0200

Dear Carsten and all,

See comments inline.

-- 
Thomas Dietz
Network Laboratories, NEC Europe Ltd., 69115 Heidelberg, Germany

> -----Original Message-----
> From: Carsten Schmoll [mailto:[email-masked]] 
> Sent: Friday, October 21, 2005 10:36 AM
> To: Thomas Dietz
> Cc: [email-masked]
> Subject: Re: [ipfix] No uint128 and double types in Info Model
> 
> 
> Dear Thomas, all,
> 
> I'm currently working in a project where we will make use of 
> float type
> within our prototypes which uses IPFIX for measurement data 
> results transfer
> including various QoS related values, among them percentage values.

You can define percentage value also with integer formats (depending on the
needed precision.) With an unsigned64 you can get a precision of about
5,4210108624275221703311375920553e-20.

> 
> In out case this includes definition of some Enterprise-specific IEs, 
> one of
> which is a float (and a double would be even better).
> 
> So I think in light of Enterprises which might need to have 
> to transfer 
> IEs of
> those types I think we should have them clearly stated in the 
> standard 
> even if
> we no non-Enterprise IEs will make use of them.
> 
> The extension of an implementation with those two extra types is IMHO
> quite straightforward.
> 

You are definitely right with this and don't want to say strictly no. I'd
like to here some more opinions. So if the majority on the list votes for
including them I guess the authors will do so. I just wanted to give my
opinion on it and open the discussion!

Regards,

Thomas

> Best regards,
> Carsten.
> 
> 
> Thomas Dietz wrote:
> 
> >Dear Carsten,
> >
> >Do you have any IE that needs double precision floats or 128 
> bit ints then
> >it is ok to insert the data type. But since there is 
> currently not even the
> >need for single precision float I think also defining those 
> data types just
> >introduces unneeded complexity and programming effort.
> >
> >Regards,
> >
> >Thomas
> >
> >  
> >
> 
> -- 
> "The difference between theory and practice is that in theory 
>  theory and practice are the same but in practice they are not."
> 
> Dipl.Ing. Carsten Schmoll                Fraunhofer Institute FOKUS
> [email-masked]      National Research Institute
> Fraunhofer FOKUS / dept. METEOR          for Open 
> Communication Systems
> Tel: +49-30-3463-7136                    Kaiserin-Augusta-Allee 31
> Fax: +49-30-3463-8000                    D-10589 Berlin, Germany
> 
>